%global commit a88c7244d632ed238b829968be9b765605b53c34
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           hidapi
Version:        0.7.0
Release:        2.%{shortcommit}%{?dist}
Summary:        Library for communicating with USB and Bluetooth HID devices

Group:          Development/Libraries
License:        GPLv3 or BSD
URL:            http://www.signal11.us/oss/hidapi/

Source0:        https://github.com/signal11/hidapi/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libudev-devel
BuildRequires: libusb1-devel
BuildRequires: m4

%description
HIDAPI is a multi-platform library which allows an application to interface
with USB and Bluetooth HID-class devices on Windows, Linux, FreeBSD and Mac OS
X.  On Linux, either the hidraw or the libusb back-end can be used. There are
trade-offs and the functionality supported is slightly different.

%package devel
Summary: Development files for hidapi
Requires: %{name}%{?_isa} = %{version}-%{release}

%description -n hidapi-devel
This package contains development files for hidapi which provides access to
USB and Bluetooth HID-class devices.

%prep
%setup -qn %{name}-%{commit}

%build
autoreconf -vif
%configure --disable-testgui --disable-static
make %{?_smp_mflags} V=1

%install
make install DESTDIR=%{buildroot}

rm -f %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_defaultdocdir}/%{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc AUTHORS.txt README.txt LICENSE*.txt
%{_libdir}/libhidapi-*.so.*

%files devel
%{_includedir}/hidapi
%{_libdir}/libhidapi-hidraw.so
%{_libdir}/libhidapi-libusb.so
%{_libdir}/pkgconfig/hidapi-hidraw.pc
%{_libdir}/pkgconfig/hidapi-libusb.pc

%changelog
* Tue Oct 29 2013 Scott Talbert <swt@techie.net> - 0.7.0-2.a88c724
- Incorporate review comments

* Wed Oct 23 2013 Scott Talbert <swt@techie.net> - 0.7.0-1.a88c724
- Initial packaging of hidapi library
